Tuesday, October 18, 2011

Oracle Java SE Critical Security Update


Oracle Java released a critical security update to Java Runtime Environment (JRE).  The full internal version number for this update release is 1.6.0_29-b11 (where "b" means "build"). The external version number is 6u29.

The critical update is a collection of patches for multiple security vulnerabilities in Oracle Java SE.  The update includes twenty (20) new security vulnerability fixes, of which six (6) are applicable to JRockit.

The update to Java SE 6u29 follows Java SE 6u27. Java SE 6u28 was used as an internal build and by-passed in favor of the current release of Java SE 6u29.

Although Java is not required (See Do You Need Java?), if you do have Java installed on your computer, it is advisable to install the latest update.  It is also advised that all prior (and vulnerable) versions of Java SE be uninstalled from your computer.

Download Update: Java SE Runtime Environment 6u29

Note: UNcheck any pre-checked toolbar and/or software options presented with the update. They are not part of the software update and are completely optional.

Affected Java SE Products and Components

  • JDK and JRE 7
  • JDK and JRE 6 Update 27 and earlier
  • JDK and JRE 5.0 Update 31 and earlier
  • SDK and JRE 1.4.2_33 and earlier
  • JavaFX 2.0
  • JRockit R28.1.4 and earlier(JDK and JRE 6 and 5.0)
The next scheduled Oracle Java SE Critical Patch Update is 14 February 2012.


    Remember - "A day without laughter is a day wasted."
    May the wind sing to you and the sun rise in your heart...

    No comments: